# IBM Confidential
# OCO Source Materials
# These are as-is scripts given only as a guide.
# 5724-M24
# (C) Copyright IBM Corporation 2008, 2009
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#	<profile_home>bin>wsadmin -lang jython   
# 	-wsadmin_classpath <WAS_HOME>\plugins\com.ibm.bspace.plugin_6.2.0.jar -f createSuperUser.py userName(short name and not a fully qualified DN)

#	Sample output:
#	WASX7209I: Connected to process "server1" on node blackholeNode04 using SOAP connector;  The type of process is: UnManagedProcess
#	WASX8011W: AdminTask object is not available.
#	WASX7303I: The following options are passed to the scripting environment and are available as arguments that are stored in the argv variable: "[john_doe]"
# 	1

try:
	from java.lang import Boolean
	from java.lang import Integer
	from java.lang import String
	from java.lang import System
	
	from com.ibm.bspace.plugin import BSpaceSecurityAdminMBeanFactory

	if ((len(sys.argv) != 1)):
        	raise ValueError, "Missing userId parameter. This script requires 1 parameter: userId\n" \
        	"e.g.: createSuperUser.py userId"

	if ((len(sys.argv[0]) < 1)):
        	raise ValueError, "Invalid userId.\n" \
        	"Please, make sure userId does not contain special characters."    
	
	userId = sys.argv[0]
	#AdminControl.trace( 'com.ibm.bspace.*=all=enabled' )
	bspace_mbean = BSpaceSecurityAdminMBeanFactory.getMBean( AdminControl.getAdminClient() )
	result =  bspace_mbean.assignSuperUserRole(userId)

except ValueError, target:
	print target
except:
	print "An error occurred. . ."
else:
	print result
	